fetch('https://swapi.dev/api/people/1/')
    .then(res => res.json())
    .then(luke => renderTable(luke))

fetch('https://swapi.dev/api/people/1/')
    .then(res => res.json())
    .then(luke => console.log(luke))

function renderTable(obj) {
    let $table = document.createElement('table')
    for(let key in obj) {
        let $tr = document.createElement('tr')
        let $td = document.createElement('td')
        let $td2 = document.createElement('td')
        console.log(obj[key])
        if(Array.isArray(obj[key])) {
            for(let item of obj[key]) {
                let newTable = document.createElement('table')
                let newTr = document.createElement('tr')
                let newTd = document.createElement('td')
                linkChecker(item, newTd)
                newTr.append(newTd)
                newTable.append(newTr)
                $td2.append(newTable)
            }
        } else {
            linkChecker(obj[key], $td2)
        }

        $td.innerHTML = key

        $tr.append($td, $td2)
        $table.appendChild($tr)
    }
    document.body.appendChild($table)


}
function linkChecker(str, container) {
    if(str.includes('https://swapi.dev/api/')) {
        let btn = document.createElement('button')
        btn.innerHTML = 'Show'
        btn.onclick = () => {
            location = str
        }
        container.append(btn)
    } else {
        container.innerHTML = str
    }
}